Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » Problems at RAP installation in Eclipse IDE 3.5
Problems at RAP installation in Eclipse IDE 3.5 [message #139071] Thu, 02 July 2009 17:27 Go to next message
Heiko Ahlig is currently offline Heiko Ahlig
Messages: 62
Registered: July 2009
Member
HI,
I try to install the RAP feature in a real fresh eclipse 3.5 (Classic)
instance.

First I try it with the "Install new software" and select the the entry
-> RAP.
(Search required software is checked)

After the wizard checks, I've got the message:

Cannot complete the install because one or more required items could not
be found.
Software being installed: Rich Ajax Platform (RAP)
1.2.0.20090616-1425 (org.eclipse.rap.sdk.feature.group 1.2.0.20090616-1425)
Missing requirement: Rich Ajax Platform (RAP) 1.2.0.20090616-1425
(org.eclipse.rap.sdk.feature.group 1.2.0.20090616-1425) requires
'A.PDE.Target.Platform Cannot be installed into the IDE [0.0.0]' but it
could not be found


Ok maybee I have to install a target platform so I try with the infos
from:
http://www.eclipse.org/rap/downloads/runtime-install.php

This works, but after them there is also no option to generate RAP projects.

Again "Install new softwar"e an seletct RAP but the same error like before.

What do I wrong?


Regard,
Heiko
Re: Problems at RAP installation in Eclipse IDE 3.5 [message #139083 is a reply to message #139071] Thu, 02 July 2009 17:42 Go to previous messageGo to next message
Ivan Furnadjiev is currently offline Ivan Furnadjiev
Messages: 1794
Registered: July 2009
Senior Member
Hi Heiko,

can you try with Eclipse for RCP/Plug-in Developers instead of Eclipse
Classic?

Best,
Ivan

Heiko Ahlig wrote:
> HI,
> I try to install the RAP feature in a real fresh eclipse 3.5 (Classic)
> instance.
>
> First I try it with the "Install new software" and select the the
> entry -> RAP.
> (Search required software is checked)
>
> After the wizard checks, I've got the message:
>
> Cannot complete the install because one or more required items could
> not be found.
> Software being installed: Rich Ajax Platform (RAP)
> 1.2.0.20090616-1425 (org.eclipse.rap.sdk.feature.group
> 1.2.0.20090616-1425)
> Missing requirement: Rich Ajax Platform (RAP) 1.2.0.20090616-1425
> (org.eclipse.rap.sdk.feature.group 1.2.0.20090616-1425) requires
> 'A.PDE.Target.Platform Cannot be installed into the IDE [0.0.0]' but
> it could not be found
>
>
> Ok maybee I have to install a target platform so I try with the
> infos from:
> http://www.eclipse.org/rap/downloads/runtime-install.php
>
> This works, but after them there is also no option to generate RAP
> projects.
>
> Again "Install new softwar"e an seletct RAP but the same error like
> before.
>
> What do I wrong?
>
>
> Regard,
> Heiko
Re: Problems at RAP installation in Eclipse IDE 3.5 [message #139095 is a reply to message #139071] Thu, 02 July 2009 17:50 Go to previous messageGo to next message
Benjamin Muskalla is currently offline Benjamin Muskalla
Messages: 338
Registered: July 2009
Senior Member
Hi Heiko,

we need to differentiate here between the tooling for RAP (Launcher,
Help, etc) and the real runtime (the APIs you're working with).

The Galileo update site provides both:
* the Tooling to install it into your IDE (see "Web, XML, and Java EE
Development" category)
* the Runtime to provision your target platform (see "Eclipse RT Target
Platform Components" category)

You should install the tooling in your IDE. The tooling itself will help
you to install the target (see the RAP entry on the intro after
restarting your IDE).

We're sorry for the confusion :-)

Greets
Ben

Heiko Ahlig wrote:
> HI,
> I try to install the RAP feature in a real fresh eclipse 3.5 (Classic)
> instance.
>
> First I try it with the "Install new software" and select the the entry
> -> RAP.
> (Search required software is checked)
>
> After the wizard checks, I've got the message:
>
> Cannot complete the install because one or more required items could not
> be found.
> Software being installed: Rich Ajax Platform (RAP) 1.2.0.20090616-1425
> (org.eclipse.rap.sdk.feature.group 1.2.0.20090616-1425)
> Missing requirement: Rich Ajax Platform (RAP) 1.2.0.20090616-1425
> (org.eclipse.rap.sdk.feature.group 1.2.0.20090616-1425) requires
> 'A.PDE.Target.Platform Cannot be installed into the IDE [0.0.0]' but it
> could not be found
>
>
> Ok maybee I have to install a target platform so I try with the infos
> from:
> http://www.eclipse.org/rap/downloads/runtime-install.php
>
> This works, but after them there is also no option to generate RAP
> projects.
>
> Again "Install new softwar"e an seletct RAP but the same error like before.
>
> What do I wrong?
>
>
> Regard,
> Heiko


--
Benjamin Muskalla | EclipseSource Karlsruhe
http://www.eclipsesource.com | http://twitter.com/eclipsesource
Re: Problems at RAP installation in Eclipse IDE 3.5 [message #139130 is a reply to message #139071] Thu, 02 July 2009 18:20 Go to previous messageGo to next message
Ralf Sternberg is currently offline Ralf Sternberg
Messages: 1290
Registered: July 2009
Senior Member

Hi Heiko,

seems that this is going to become an FAQ ...

You want to install the RAP Tooling. The RAP Tooling also installs the
target platform for you. It is included in the category "Web, XML, and
Java EE Development".

The RAP Runtime SDK cannot be installed into the IDE. That's why you get
the error: "A.PDE.Target.Platform Cannot be installed into the IDE [0.0.0]".

To install the RAP Runtime SDK into a target definition, you have to
uncheck the checkbox "Include required software".

There is no such thing as a "RAP project". RAP projects are plug-in
projects. But there are templates to generate simple RAP applications.

References:
* http://www.eclipse.org/rap/downloads/
* http://www.eclipse.org/rap/gettingstarted.php
* https://bugs.eclipse.org/bugs/show_bug.cgi?id=281854
* https://bugs.eclipse.org/bugs/show_bug.cgi?id=276000

Regards, Ralf

Heiko Ahlig wrote:
> HI,
> I try to install the RAP feature in a real fresh eclipse 3.5 (Classic)
> instance.
>
> First I try it with the "Install new software" and select the the entry
> -> RAP.
> (Search required software is checked)
>
> After the wizard checks, I've got the message:
>
> Cannot complete the install because one or more required items could not
> be found.
> Software being installed: Rich Ajax Platform (RAP) 1.2.0.20090616-1425
> (org.eclipse.rap.sdk.feature.group 1.2.0.20090616-1425)
> Missing requirement: Rich Ajax Platform (RAP) 1.2.0.20090616-1425
> (org.eclipse.rap.sdk.feature.group 1.2.0.20090616-1425) requires
> 'A.PDE.Target.Platform Cannot be installed into the IDE [0.0.0]' but it
> could not be found
>
>
> Ok maybee I have to install a target platform so I try with the infos
> from:
> http://www.eclipse.org/rap/downloads/runtime-install.php
>
> This works, but after them there is also no option to generate RAP
> projects.
>
> Again "Install new softwar"e an seletct RAP but the same error like before.
>
> What do I wrong?
>
>
> Regard,
> Heiko
Re: Problems at RAP installation in Eclipse IDE 3.5 [message #805824 is a reply to message #139130] Fri, 24 February 2012 02:25 Go to previous messageGo to next message
Oliver Pfau is currently offline Oliver Pfau
Messages: 9
Registered: November 2011
Junior Member
I have also this error: Missing requirement: org.eclipse.rap.runtime.sdk.feature.group 1.4.1.20110914-1945 requires 'A.PDE.Target.Platform Cannot be installed into the IDE 0.0.0' but it could not be found

But it appears on my tycho build which builds a client with rcp and rap. How can I solve it?
Re: Problems at RAP installation in Eclipse IDE 3.5 [message #806275 is a reply to message #805824] Fri, 24 February 2012 14:35 Go to previous messageGo to next message
Ralf Sternberg is currently offline Ralf Sternberg
Messages: 1290
Registered: July 2009
Senior Member

Could you explain what you're trying to do?


--
Ralf Sternberg

Twitter: @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Re: Problems at RAP installation in Eclipse IDE 3.5 [message #806317 is a reply to message #806275] Fri, 24 February 2012 15:31 Go to previous messageGo to next message
Oliver Pfau is currently offline Oliver Pfau
Messages: 9
Registered: November 2011
Junior Member
The project builds a RCP and RAP client. With Tycho 0.12.0 the build is working. The dependencies are defined in the bundles manifest file (manifest first). I generated a local p2 repository and eclipse indigo and rap defined in the pom. The build does not work with tycho 0.14.0 and 0.14.1. The swt dependencies can not be solved. The first plugin which uses the RCP UI classes like LabelProvider, Button etc. are not found. So I tried to set up a target platform file which I can use in RCP workspace and a target platform which works with the RAP workspace in eclipse. I combined both in a target platform for the build. But I got the error described above. I removed the RAP feature dependeny from the target platform and added the RAP update site the pom.xml. Not I get the error about unresolved swt dependencies. How mentioned without target platform and tycho 0.12.0 it works, but I want to be future compatible Smile
Re: Problems at RAP installation in Eclipse IDE 3.5 [message #806320 is a reply to message #806275] Fri, 24 February 2012 15:31 Go to previous messageGo to next message
Missing name Missing name is currently offline Missing name Missing name
Messages: 59
Registered: July 2009
Member
The project builds a RCP and RAP client. With Tycho 0.12.0 the build is working. The dependencies are defined in the bundles manifest file (manifest first). I generated a local p2 repository and eclipse indigo and rap defined in the pom. The build does not work with tycho 0.14.0 and 0.14.1. The swt dependencies can not be solved. The first plugin which uses the RCP UI classes like LabelProvider, Button etc. are not found. So I tried to set up a target platform file which I can use in RCP workspace and a target platform which works with the RAP workspace in eclipse. I combined both in a target platform for the build. But I got the error described above. I removed the RAP feature dependeny from the target platform and added the RAP update site the pom.xml. Not I get the error about unresolved swt dependencies. How mentioned without target platform and tycho 0.12.0 it works, but I want to be future compatible :)
Re: Problems at RAP installation in Eclipse IDE 3.5 [message #811822 is a reply to message #806320] Fri, 02 March 2012 16:44 Go to previous messageGo to next message
Ralf Sternberg is currently offline Ralf Sternberg
Messages: 1290
Registered: July 2009
Senior Member

Hi,

I don't know which change in tycho lead made your build fail, it sounds
like having to do with greedy resolving of optional dependencies.

Maybe it helps to have a look at the tycho-based war build for the RAP
demo [1].

At any rate, you should not try to create a combined SWT + RWT platform.
As both SWT and RWT export the same packages, this won't work. You
should have separate builds for RCP and RAP and separate target platforms.

Hope this helps a bit,
Ralf


[1]
http://dev.eclipse.org/viewcvs/viewvc.cgi/org.eclipse.rap/releng/org.eclipse.rap.releng/demo-war/?root=RT_Project


--
Ralf Sternberg

Twitter: @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Re: Problems at RAP installation in Eclipse IDE 3.5 [message #822130 is a reply to message #811822] Fri, 16 March 2012 03:56 Go to previous message
Oliver Pfau is currently offline Oliver Pfau
Messages: 9
Registered: November 2011
Junior Member
Thanks for your reply. Is it possible to separate RCP and RAP because of single sourcing code?
Re: Problems at RAP installation in Eclipse IDE 3.5 [message #822135 is a reply to message #811822] Fri, 16 March 2012 03:56 Go to previous message
Missing name Missing name is currently offline Missing name Missing name
Messages: 59
Registered: July 2009
Member
Thanks for your reply. Is it possible to separate RCP and RAP because of single sourcing code?
Previous Topic:Row remains highlighted after delete item in TableViewer
Next Topic:XMLMultiPageEditorPart
Goto Forum:
  


Current Time: Fri Aug 22 17:40:30 EDT 2014

Powered by FUDForum. Page generated in 0.03039 seconds